Skip to main content
POST
/
v1.0
/
numbers
/
portin
/
update
json
{
  "OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4",
  "CurrentCarrierName": "Updated Carrier",
  "CurrentAccountNumber": "46512222",
  "CurrentAccountPassword": "0000",
  "PortInDate": "2026-06-01",
  "TargetPortinClassification": "Mobile",
  "SubscriberName": "John Doe",
  "ICCID": "89014103211118510720",
  "CurrentBillingAddress": {
    "Street1": "123 N Address Way",
    "Street2": "Suite 010",
    "City": "Townsville",
    "State": "UT",
    "Zip": "84048"
  }
}
curl -X POST https://api.telegent.com/v1.0/numbers/portin/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4",
"CurrentCarrierName": "Updated Carrier",
"CurrentAccountNumber": "46512222",
"CurrentAccountPassword": "0000",
"PortInDate": "2026-06-01",
"TargetPortinClassification": "Mobile",
"SubscriberName": "John Doe",
"ICCID": "89014103211118510720",
"CurrentBillingAddress": {
"Street1": "123 N Address Way",
"City": "Townsville",
"State": "UT",
"Zip": "84048"
}
}'
import requests

url = "https://api.telegent.com/v1.0/numbers/portin/update"

payload = {
"OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4",
"CurrentCarrierName": "Updated Carrier",
"CurrentAccountNumber": "46512222",
"CurrentAccountPassword": "0000",
"CurrentBillingAddress": {
"Street1": "123 N Address Way",
"Street2": "Suite 010",
"City": "Townsville",
"State": "UT",
"Zip": "84048"
},
"PortInDate": "2026-06-01",
"TargetPortinClassification": "Mobile",
"SubscriberName": "John Doe",
"ICCID": "89014103211118510720"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
OrderId: 'JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4',
CurrentCarrierName: 'Updated Carrier',
CurrentAccountNumber: '46512222',
CurrentAccountPassword: '0000',
CurrentBillingAddress: {
Street1: '123 N Address Way',
Street2: 'Suite 010',
City: 'Townsville',
State: 'UT',
Zip: '84048'
},
PortInDate: '2026-06-01',
TargetPortinClassification: 'Mobile',
SubscriberName: 'John Doe',
ICCID: '89014103211118510720'
})
};

fetch('https://api.telegent.com/v1.0/numbers/portin/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "OrderId": "JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4",
  "Status": "Updated",
  "Message": "Port-in order updated successfully"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Body

application/json
OrderId
string
required

The order ID of the port-in request to update

Example:

"JNUOID-6e3eb213-baf1-47bb-9db0-5d7d09d4b7b4"

CurrentCarrierName
string

Updated name of the losing carrier

Example:

"Updated Carrier"

CurrentAccountNumber
string

Updated account number with current carrier

Example:

"46512222"

CurrentAccountPassword
string

Updated account PIN/password with current carrier

Example:

"0000"

CurrentBillingAddress
object
PortInDate
string

Requested date for the port to complete (YYYY-MM-DD)

Example:

"2026-06-01"

TargetPortinClassification
string

Target classification for the porting number (e.g. Mobile, Landline)

Example:

"Mobile"

SubscriberName
string

Updated subscriber name

Example:

"John Doe"

ICCID
string

SIM card ICCID. Required only for pSIM port-ins.

Example:

"89014103211118510720"

Response

Update Port In

The response is of type object.